• Register
Description

The Last Age Early alpha, expect more updates with new things!

Preview
The Last Age 2.20
Comments
XXachillesThEBEAstXx
XXachillesThEBEAstXx

What a amazing job keep this up guys.

Reply Good karma Bad karma+3 votes
Sons_of_Durin
Sons_of_Durin

Played it, it was fantastic, the first bugs i saw:
some armors (especially for Townsman) were not rigged
The font's color is changed, it's not readable in some places.

Reply Good karma Bad karma+3 votes
Vallixx Author
Vallixx

Thank you for the information! We're already posting a patch to fix the unrigged equipment! :)

Reply Good karma+2 votes
Argeomer
Argeomer

Going to download now. Tell you later what i think :)

Reply Good karma Bad karma+3 votes
luisfernando7739814
luisfernando7739814

hello I congratulate you for your work but I have a concern if you are so kind to respond to my sales error I can not open the file commonres / ccoop_extra_ui_texturex, brf I have the version of myb in 1.168 thanks for your attention and sorry for my english haha ​​is still not perfect

Reply Good karma Bad karma+1 vote
Lightwolf_Games
Lightwolf_Games

Hi, this error happens because you do not have the latest version of Warband installed, after you do the update this error disappears. :)

Reply Good karma Bad karma+2 votes
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.